In order to install mcrypt on CentOS 6 you will have to use a specific repository. It seems that for some reason this package is not available on default CentOS repositories.

At the moment the most recent version of EPEL rpm which we need to use is following:
http://ftp.ps.pl/pub/Linux/fedora-epel/6/i386/epel-release-6-6.noarch.rpm

NOTE: If this file does not exist please open the link below and search for “epel”
http://ftp.ps.pl/pub/Linux/fedora-epel/6/i386/

INSTALLATION:

rpm -ivh http://ftp.ps.pl/pub/Linux/fedora-epel/6/i386/epel-release-6-6.noarch.rpm
yum update
yum install php-mcrypt

/etc/init.d/httpd restart

 

Kind Regards,
Witold Ławacz